<?php

namespace Drp\SimpleCms\Http\Middleware;

use Closure;
use Drp\SimpleCms\Scopes\PreviewScope;

class PreviewMode
{
    /**
     * Add the Preview scope to all defined content types
     *
     * @param mixed $request
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (preview_mode_enabled()) {
            collect(config('simple_cms.content_types'))
                ->each(function ($content): void {
                    $content::addGlobalScope(new PreviewScope);
                });
        }

        return $next($request);
    }
}
