<?php

namespace Drp\SimpleCms\Test\Unit;

use Drp\SimpleCms\Contracts\Publishable;
use Drp\SimpleCms\Test\Support\Fakes\OtherContent;
use Drp\SimpleCms\Test\Support\Fakes\TestContent;
use Drp\SimpleCms\Test\TestCase;

/**
 * Class AllContentTest
 * @package Drp\SimpleCms\Test\Unit
 */
class AllContentTest extends TestCase
{



    /**
     * @test
     */
    public function it_returns_all_content()
    {
        TestContent::create(['status' => Publishable::STATUS_PUBLISHED]);
        OtherContent::create(['status' => Publishable::STATUS_PUBLISHED]);

        $this->assertCount(2, \Facades\Drp\SimpleCms\AllContent::content());
    }

    /**
     * @test
     */
    public function it_returns_all_content_in_review()
    {
        $published1 = TestContent::create(['status' => Publishable::STATUS_PUBLISHED]);
        TestContent::create(['status' => Publishable::STATUS_REVIEW]);
        $published2 = OtherContent::create(['status' => Publishable::STATUS_PUBLISHED]);
        OtherContent::create(['status' => Publishable::STATUS_REVIEW]);

        $results = \Facades\Drp\SimpleCms\AllContent::contentInReview();
        $this->assertCount(2, $results);
        $this->assertNotContainsModel($published1, $results);
        $this->assertNotContainsModel($published2, $results);
    }
}
